status: hidden
title: Cybersécurité — Bullet Proof
slug: fa4eet9Meengae-bulletproof
robots: noindex

# Bullet Proof

Le nom du projet est `bulletproof`, en minuscule (c'est important pour
le [rendu](https://mdk.fr/pages/obiree2uaza2sh-rendu.html)).

Le but du projet est de créer une "message board", avec un seul fil de
discussion.

Specs :

- On doit pouvoir s'inscrire avec un nickname et un mot de passe.
- On doit pouvoir se connecter avec un nickname et un mot de passe.
- On doit pouvoir se déconnecter.
- On doit pouvoir se désinscrire.
- Un utilisateur non-connecté **ne peut pas** poster de message.
- Un utilisateur non-connecté **peut** lire les messages.
- Un utilisateur connecté **peut** poster un message.
- Un utilisateur connecté **peut** lire les messages.
- Un message posté n'apparait pas forcément automatiquement chez les
  autres (ce n'est pas un chat).

Specs pour le rendu :

- Faites au plus simple.
- Aucune faille de sécurité.
- Un seul fichier est peut être un peu léger si vous voulez présentez
  correctement l'interface graphique, j'en accepterai plusieurs si le
  résultat en valait le coup.
- Pas de framework.
- Code propre et facilement prouvable (on ne joue pas à [The
  Underhanded C Contest](http://www.underhanded-c.org/)).
- Je veux le tout dans une archive tel que le [rendu
  l'impose](https://mdk.fr/pages/obiree2uaza2sh-rendu.html).
- Je veux le dossier `.git/` dans l'archive du rendu, avec tout
  l'historique de votre travail, de l'initial commit à un projet
  terminé, n'hésitez donc pas à faire des plus petits commits que
  d'habitude vu que le projet est très court.
