status: hidden
title: Python — Gitlog
slug: Eex5geco-gitlog
robots: noindex

# Git log

## Introduction

The project name is: *gitlog*.

You'll give back your project using this protocol:
https://mdk.fr/pages/obiree2uaza2sh-rendu.html


## Project

Faire un programme, nommé `gitlog.py` qui s'exécute en prenant en
paramètre un chemin de repo git, comme ça :

    gitlog.py ./

et qui crée différents fichiers png représentant ce repo :

- Un fichier `timeline.png` semaine par semaine, tel que "contributions in the last year" sur github.
- Un fichier `commits.png` contenant un *scatter plot* [1] dont la
  taille des points dépends du nombre de commits, sur l'axe horizontal
  les sept jours de la semaine, et sur l'axe vertical les 24h du jour.
- D'autres, si l'inspiration vous vient.

Ce programme devra déclarer ses dépdances via *pipenv*, n'étant pas
une bibliothèque, il ne devra _pas_ contenir de `setup.py`.

 [1]: https://matplotlib.org/gallery/lines_bars_and_markers/scatter_demo2.html#sphx-glr-gallery-lines-bars-and-markers-scatter-demo2-py
